Subject: Re: [Diffserv] Classifying fragments

From: Brian E Carpenter <[email-masked]>
Date: Mon, 01 Nov 1999 12:02:47 -0600

Thanks for the facts kc

So, fragments are a tiny fraction of 1% of traffic.

So, do we have any reason to worry? I don't think so.

   Brian

k claffy wrote:
> 
> i guess "just a little of it."
> 
> 18 month old data courtesy MCI/vBNS/NSF
> 
>     http://www.caida.org/Presentations/Soa9905/mgp00031.html
> 
> june 99 data jambi  (then caida.elf, now vBNS.elf),
>         not polished/documented.much, but fwiw
> 
>         http://www.caida.org/~bigj/frag.html
> 
> that's all i have right now
> k
> 
> On Wed, Oct 27, 1999 at 10:49:49AM -0700, Steve Haddock wrote:
>   Out of curiosity, is this a problem that affects most of the traffic, or
>   just a little of it?  I've seen several reports from people that capture a
>   snapshot of traffic at various points in the backbone, and produce a
>   histogram of packets sizes.  Does anyone know of a study that shows the
>   percentage of packets that are fragments?
> 
>   Steve
> 
>   > ----------
>   > From:       Brian E Carpenter[SMTP:[email-masked]]
>   > Sent:       Monday, October 25, 1999 10:30 AM
>   > To:         Nick Williamson
>   > Cc:         diffserv
>   > Subject:    Re: [Diffserv] Classifying fragments
>   >
>   > This is an open issue in the architecture (see RFC 2475, section 2.3.1).
>   > Yet another reason why PMTU discovery is a Good Thing.
>   >
>   > Note that the problem only arises for MF classifiers, i.e. only at
>   > border routers. But that doesn't help if the packets were already
>   > fragmented upstream of the border.
>   >
>   >   Brian
>   >
>   > Nick Williamson wrote:
>   > >
>   > > The Conceptual Model for Diffserv Routers defines standard method for
>   > > classifying IP packets using filters. This method may interpret
>   > > information  in the protocol header (e.g. TCP/UDP port #), which is not
>   > > available in IP fragments. My question is: without saving state, how do
>   > > we ensure that all the fragments (including fragment 0) are classified
>   > > consistently?
>   > >
>   > > --
>   > > ==================================
>   > > Nicholas WIlliamson
>   > > [email-masked]
>   > >
>   > > ECI Telecom
>   > > 1201 Cypress Creek Road
>   > > Ft Lauderdale, FL 33309
>   > > (954) 772-3070
>   > > ==================================
>   > >
>   > > _______________________________________________
>   > > diffserv mailing list
>   > > [email-masked]
>   > > http://www.ietf.org/mailman/listinfo/diffserv
>   > > Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>   >
>   > _______________________________________________
>   > diffserv mailing list
>   > [email-masked]
>   > http://www.ietf.org/mailman/listinfo/diffserv
>   > Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>   >
> 
>   _______________________________________________
>   diffserv mailing list
>   [email-masked]
>   http://www.ietf.org/mailman/listinfo/diffserv
>   Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/